Runtime

## org.eclipse.gmf.runtime.diagram.ui.view.factories
Class NoteViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractShapeViewFactory
                  org.eclipse.gmf.runtime.diagram.ui.view.factories.TextShapeViewFactory
                      org.eclipse.gmf.runtime.diagram.ui.view.factories.NoteViewFactory

All Implemented Interfaces:
  ViewFactory

public class NoteViewFactory
extends TextShapeViewFactory

The Factory class responsible for creating Note Views

Constructor Summary
`NoteViewFactory()`

Method Summary
`View` `createView(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` Method NoteView. creation constructor
`protected void` `initializeFromPreferences(View view)` Initialize the newly created view from the preference store, this method get called by @link #decorateView(View, IAdaptable, String)

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.TextShapeViewFactory
`decorateView`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractShapeViewFactory
`createLayoutConstraint, createStyles`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createNode, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoteViewFactory

    public NoteViewFactory()

Method Detail

### createView

    public View createView(IAdaptable semanticAdapter,
                           View containerView,
                           java.lang.String semanticHint,
                           int index,
                           boolean persisted,
                           PreferencesHint preferencesHint)

  Method NoteView. creation constructor

  Specified by:
    `createView` in interface `ViewFactory`
  Overrides:
    `createView` in class `BasicNodeViewFactory`
  Parameters:
    `semanticAdapter` -
    `containerView` -
    `semanticHint` -
    `index` -
    `persisted` -

### initializeFromPreferences

    protected void initializeFromPreferences(View view)

  Description copied from class: `AbstractShapeViewFactory`
  Initialize the newly created view from the preference store, this method get called by @link #decorateView(View, IAdaptable, String)

  Overrides:
    `initializeFromPreferences` in class `AbstractShapeViewFactory`
  Parameters:
    `view` - the view to initialize

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.